﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ICommand Command { get; set; }
        public ICommand Command1 { get; set; }
        public ICommand Command2 { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;
            Command = new CommandWithHotkey("Cut", Key.X, ModifierKeys.Control);
            Command1 = new CommandWithHotkey("Copy", Key.C, ModifierKeys.Control);
            Command2 = new CommandWithHotkey("Paste", Key.V, ModifierKeys.Control);

            MenuItemAdv file = this.menu.Items[0] as MenuItemAdv;
           
            MenuItemAdv edit = this.menu.Items[1] as MenuItemAdv;
            edit.IsSubMenuOpen = true;
        }

        private void File_Checked(object sender, RoutedEventArgs e)
        {
            (this.menu.Items[0] as MenuItemAdv).IsSubMenuOpen = true;
            (this.menu.Items[1] as MenuItemAdv).IsSubMenuOpen = false;
        }

        private void MenuItemAdv_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("MenuItem Clicked : " + (sender as MenuItemAdv).Header);
        }

        private void MenuItemAdv_Click_1(object sender, RoutedEventArgs e)
        {

        }
    }
    public class CommandWithHotkey : ICommand
    {
        public CommandWithHotkey(string text, Key key, ModifierKeys modifier)
        {
            Text = text;
            Gesture = new KeyGesture(key, modifier);
        }

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public void Execute(object parameter)
        {
            MessageBox.Show("MenuItem Clicked : " + Text);
        }

        public KeyGesture Gesture { get; set; }

        public string GestureText
        {
            get { return Gesture.GetDisplayStringForCulture(CultureInfo.CurrentUICulture); }
        }

        public string Text { get; set; }

        public event EventHandler CanExecuteChanged;

    }

}
